Index: /branches/version-2_12-dev/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php
===================================================================
--- /branches/version-2_12-dev/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php	(revision 21185)
+++ /branches/version-2_12-dev/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php	(revision 21420)
@@ -233,3 +233,2 @@
     }
 }
-?>
Index: /branches/version-2_12-dev/data/class/db/SC_DB_MasterData.php
===================================================================
--- /branches/version-2_12-dev/data/class/db/SC_DB_MasterData.php	(revision 20970)
+++ /branches/version-2_12-dev/data/class/db/SC_DB_MasterData.php	(revision 21420)
@@ -363,3 +363,2 @@
     }
 }
-?>
Index: /branches/version-2_12-dev/data/class/SC_SmartphoneView.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_SmartphoneView.php	(revision 20764)
+++ /branches/version-2_12-dev/data/class/SC_SmartphoneView.php	(revision 21420)
@@ -30,4 +30,2 @@
     }
 }
-
-?>
Index: /branches/version-2_12-dev/data/class/SC_Image.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Image.php	(revision 20764)
+++ /branches/version-2_12-dev/data/class/SC_Image.php	(revision 21420)
@@ -237,3 +237,2 @@
     }
 }
-?>
Index: /branches/version-2_12-dev/data/class/plugin/SC_Plugin_Template_Selector.php
===================================================================
--- /branches/version-2_12-dev/data/class/plugin/SC_Plugin_Template_Selector.php	(revision 21416)
+++ /branches/version-2_12-dev/data/class/plugin/SC_Plugin_Template_Selector.php	(revision 21420)
@@ -104,5 +104,5 @@
         return $this;
     }
-    
+
 
     /**
@@ -131,6 +131,6 @@
         return $this;
     }
-    
-    
+
+
     /**
      * 要素を指定したHTMLに置換
@@ -145,6 +145,6 @@
         return $this;
     }
-    
-    
+
+
     /**
      * findで見つかったエレメントの数を返す
@@ -155,8 +155,6 @@
         return count($this->arrElements);
     }
-    
+
 
 
 }
-
-?>
Index: /branches/version-2_12-dev/data/class/plugin/SC_Plugin_Template_Transformer.php
===================================================================
--- /branches/version-2_12-dev/data/class/plugin/SC_Plugin_Template_Transformer.php	(revision 21416)
+++ /branches/version-2_12-dev/data/class/plugin/SC_Plugin_Template_Transformer.php	(revision 21420)
@@ -61,5 +61,5 @@
         $html = file_get_contents(SMARTY_TEMPLATES_REALDIR . $tmpl);
         $err_msg = null;
-        
+
         // 対象のパスが存在するかを検証する,
         if ($html === false) {
@@ -68,5 +68,5 @@
             $err_msg = $tmpl. "の文字コードがUTF-8ではありません";
         }
-        
+
         if (!is_null($err_msg)) {
             // TODO エラー処理
@@ -74,9 +74,9 @@
 
         // JavaScript内にSmartyのタグが存在するものを、コメント形式に置換
-		$html = preg_replace_callback(
-			'/<script.+?\/script>/s',
-			array($this, 'captureSmartyTags2Comment'),
-			$html
-		);
+    $html = preg_replace_callback(
+    '/<script.+?\/script>/s',
+    array($this, 'captureSmartyTags2Comment'),
+    $html
+    );
 
         // HTMLタグ内にSmartyのタグが存在するものを、いったんダミーのタグに置換する
@@ -93,5 +93,5 @@
             $html
         );
-        
+
         $html = '<meta http-equiv="content-type" content="text/html; charset=UTF-8" /><html><body><!--TemplateTransformer start-->'.$html.'<!--TemplateTransformer end--></body></html>';
         // TODO エラー処理
@@ -213,8 +213,8 @@
     function scanChild(DOMNode $objDOMElement, $parent_selector = '') {
         $objNodeList = $objDOMElement->childNodes;
-        
+
         if (is_null($objNodeList)) return;
         foreach ($objNodeList as $element) {
-            
+
             $arrAttr = array();
             // エレメントの場合、tag名を配列に入れる.
@@ -222,5 +222,5 @@
                 $arrAttr[] = $element->tagName;
             }
-            
+
             // getAttributeメソッドを持つかを検証
             if (method_exists($element, 'getAttribute')) {
@@ -266,5 +266,5 @@
 
         if (is_null($objSelector)) $objSelector = new SC_Plugin_Template_Selector($this, $this->current_plugin);
-        
+
         // jQueryライクなセレクタを正規表現に
         $selector = preg_replace('/ *> */', ' >', $selector);
@@ -274,5 +274,5 @@
         // セレクターを配列にします.
         $arrSelectors = explode(' ', $selector);        
-        
+
         // セレクタから正規表現を生成.
         foreach ($arrSelectors as $sub_selector) {
@@ -296,5 +296,5 @@
         // エレメントツリーのセレクタを先ほど作成した正規表現で順に検索.
         for($iLoop=$startIndex; $iLoop < count($this->arrElementTree); $iLoop++){
-            
+
             if (preg_match($regex, $this->arrElementTree[$iLoop][0])) {
                 if (is_null($index) || $cur_idx == $index) {
@@ -314,8 +314,8 @@
             );
         }
-        
+
         return $objSelector;
     }
-    
+
     /**
      * DOMを用いた変形を実行する
@@ -327,5 +327,5 @@
      */
     function setTransform($mode, $target_key, $html_snip) {
-        
+
         $substitute_tag = sprintf('<!--###%08d###-->', $this->smarty_tags_idx);
 
@@ -333,8 +333,8 @@
         $this->arrSmartyTagsSub[$this->smarty_tags_idx] = $substitute_tag;
         $this->smarty_tags_idx++;
-        
+
         $objSnip = $this->objDOM->createDocumentFragment();
         $objSnip->appendXML($substitute_tag);
-        
+
         $objElement = false;
         if(isset($this->arrElementTree[$target_key]) && $this->arrElementTree[$target_key][0]){
@@ -343,5 +343,5 @@
 
         if (!$objElement) return false;
-        
+
         try {
             if ($mode == 'appendChild') {
@@ -351,9 +351,9 @@
                 $objElement->parentNode->insertBefore($objSnip, $objElement);
             } elseif ($mode == 'insertAfter') {
-	            if ($objElement->nextSibling) {
-	                 $objElement->parentNode->insertBefore($objSnip, $objElement->nextSibling);
-	            } else {
-	                 $objElement->parentNode->appendChild($objSnip);
-	            }
+                if ($objElement->nextSibling) {
+                     $objElement->parentNode->insertBefore($objSnip, $objElement->nextSibling);
+                } else {
+                     $objElement->parentNode->appendChild($objSnip);
+                }
             } elseif ($mode == 'replaceChild') {
                 if (!is_object($objElement->parentNode)) return false;
@@ -366,5 +366,5 @@
         return true;
     }
-    
+
     /**
      * セレクタエラーを記録する
@@ -384,5 +384,5 @@
         );
     }
-    
+
     /**
      * HTMLに戻して、Transform用に付けたマーカーを削除し、Smartyのタグを復元する
@@ -407,5 +407,5 @@
             // TODO エラー処理
             // ECC_Plugin_Engine::dispError(FREE_ERROR_MSG, "テンプレートの操作に失敗しました。".$err_msg);
-        
+
         } elseif ($this->snip_count) {
             $html = $this->objDOM->saveHTML();
@@ -415,5 +415,5 @@
             $html = preg_replace('/<\!--TemplateTransformer end-->.*$/s', '', $html);
             return $html;
-        
+
         } else {
             return false;
@@ -434,5 +434,5 @@
             $filepath = PLUGIN_TMPL_CACHE_REALDIR . $filename;
             $dir = dirname($filepath);
-            
+
             if (!file_exists($dir)) mkdir($dir, PLUGIN_DIR_PERMISSION, true);
             if (!file_put_contents($filepath, $html)) return false;
@@ -444,5 +444,2 @@
 
 }
-
-
-?>
Index: /branches/version-2_12-dev/data/class/plugin/SC_Plugin_Template_Transform_List.php
===================================================================
--- /branches/version-2_12-dev/data/class/plugin/SC_Plugin_Template_Transform_List.php	(revision 21416)
+++ /branches/version-2_12-dev/data/class/plugin/SC_Plugin_Template_Transform_List.php	(revision 21420)
@@ -174,4 +174,2 @@
 
 }
-
-?>
Index: /branches/version-2_12-dev/data/class/SC_UploadFile.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_UploadFile.php	(revision 20863)
+++ /branches/version-2_12-dev/data/class/SC_UploadFile.php	(revision 21420)
@@ -516,3 +516,2 @@
     }
 }
-?>
Index: /branches/version-2_12-dev/data/class/SC_CheckError.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_CheckError.php	(revision 21290)
+++ /branches/version-2_12-dev/data/class/SC_CheckError.php	(revision 21420)
@@ -1220,3 +1220,2 @@
     }
 }
-?>
Index: /branches/version-2_12-dev/data/class/SC_Initial.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Initial.php	(revision 21384)
+++ /branches/version-2_12-dev/data/class/SC_Initial.php	(revision 21420)
@@ -376,3 +376,2 @@
     }
 }
-?>
Index: /branches/version-2_12-dev/data/class/SC_PageNavi.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_PageNavi.php	(revision 21313)
+++ /branches/version-2_12-dev/data/class/SC_PageNavi.php	(revision 21420)
@@ -143,4 +143,2 @@
     }
 }
-
-?>
Index: /branches/version-2_12-dev/data/class/SC_SendMail.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_SendMail.php	(revision 20970)
+++ /branches/version-2_12-dev/data/class/SC_SendMail.php	(revision 21420)
@@ -311,3 +311,2 @@
     }
 }
-?>
Index: /branches/version-2_12-dev/data/class/SC_CartSession.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_CartSession.php	(revision 21352)
+++ /branches/version-2_12-dev/data/class/SC_CartSession.php	(revision 21420)
@@ -737,3 +737,2 @@
     }
 }
-?>
Index: /branches/version-2_12-dev/data/class/SC_SelectSql.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_SelectSql.php	(revision 21269)
+++ /branches/version-2_12-dev/data/class/SC_SelectSql.php	(revision 21420)
@@ -253,3 +253,2 @@
     }
 }
-?>
Index: /branches/version-2_12-dev/data/class/SC_SiteView.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_SiteView.php	(revision 20764)
+++ /branches/version-2_12-dev/data/class/SC_SiteView.php	(revision 21420)
@@ -38,4 +38,2 @@
     }
 }
-
-?>
Index: /branches/version-2_12-dev/data/class/SC_MobileView.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_MobileView.php	(revision 20764)
+++ /branches/version-2_12-dev/data/class/SC_MobileView.php	(revision 21420)
@@ -30,4 +30,2 @@
     }
 }
-
-?>
Index: /branches/version-2_12-dev/data/smarty_extends/modifier.nl2br_html.php
===================================================================
--- /branches/version-2_12-dev/data/smarty_extends/modifier.nl2br_html.php	(revision 20540)
+++ /branches/version-2_12-dev/data/smarty_extends/modifier.nl2br_html.php	(revision 21420)
@@ -38,4 +38,2 @@
     return implode('', $lines);
 }
-
-?>
Index: /branches/version-2_12-dev/data/smarty_extends/modifier.script_escape.php
===================================================================
--- /branches/version-2_12-dev/data/smarty_extends/modifier.script_escape.php	(revision 18234)
+++ /branches/version-2_12-dev/data/smarty_extends/modifier.script_escape.php	(revision 21420)
@@ -19,3 +19,2 @@
     }
 }
-?>
Index: /branches/version-2_12-dev/data/smarty_extends/function.html_checkboxes_ex.php
===================================================================
--- /branches/version-2_12-dev/data/smarty_extends/function.html_checkboxes_ex.php	(revision 18234)
+++ /branches/version-2_12-dev/data/smarty_extends/function.html_checkboxes_ex.php	(revision 21420)
@@ -49,5 +49,5 @@
     $separator = '';
     $labels = true;
-	$label_ids = true;
+    $label_ids = true;
     $output = null;
 
@@ -56,7 +56,7 @@
     foreach($params as $_key => $_val) {
         switch($_key) {
-			case 'tags':
-				$$_key = split("\|", $_val);
-				break;
+    case 'tags':
+    $$_key = split("\|", $_val);
+    break;
             case 'name':
             case 'separator':
@@ -65,5 +65,5 @@
 
             case 'labels':
-			case 'label_ids':
+    case 'label_ids':
                 $$_key = (bool)$_val;
                 break;
@@ -129,36 +129,36 @@
 
 function smarty_function_html_checkboxes_output_ex($name, $value, $output, $selected, $extra, $separator, $labels, $label_ids, $tags) {
-	$_output = '';
-		
+    $_output = '';
+
     $_output .= '<input type="checkbox" name="'
         . smarty_function_escape_special_chars($name) . '[]" value="'
         . smarty_function_escape_special_chars($value) . '"';
-	
-	if ($labels && $label_ids) {
-		$_id = smarty_function_escape_special_chars(preg_replace('![^\w\-\.]!', '_', $name . '_' . $value));
-		$_output .= ' id="' . $_id . '"';
-	}
-	
+
+    if ($labels && $label_ids) {
+    $_id = smarty_function_escape_special_chars(preg_replace('![^\w\-\.]!', '_', $name . '_' . $value));
+    $_output .= ' id="' . $_id . '"';
+    }
+
     if (in_array((string)$value, $selected)) {
         $_output .= ' checked="checked"';
     }
     $_output .= $extra . ' />';
-	
-	$_output .= $tags[0];
-	
-	if ($labels) {
-		if($label_ids) {
-			$_id = smarty_function_escape_special_chars(preg_replace('![^\w\-\.]!', '_', $name . '_' . $value));
-			$_output .= '<label for="' . $_id . '">';
-		} else {
-			$_output .= '<label>';			
-		}
-	}
-	
-	// 値を挿入
-	$_output .= $output;
-	
-	$_output .= $tags[1];
-	
+
+    $_output .= $tags[0];
+
+    if ($labels) {
+    if($label_ids) {
+    $_id = smarty_function_escape_special_chars(preg_replace('![^\w\-\.]!', '_', $name . '_' . $value));
+    $_output .= '<label for="' . $_id . '">';
+    } else {
+    $_output .= '<label>';
+    }
+    }
+
+    // 値を挿入
+    $_output .= $output;
+
+    $_output .= $tags[1];
+
     if ($labels) $_output .= '</label>';
     $_output .=  $separator;
@@ -166,4 +166,2 @@
     return $_output;
 }
-
-?>
Index: /branches/version-2_12-dev/data/smarty_extends/modifier.numeric_emoji.php
===================================================================
--- /branches/version-2_12-dev/data/smarty_extends/modifier.numeric_emoji.php	(revision 21302)
+++ /branches/version-2_12-dev/data/smarty_extends/modifier.numeric_emoji.php	(revision 21420)
@@ -10,14 +10,13 @@
  */
 function smarty_modifier_numeric_emoji($value) {
-	// 数字絵文字 (0～9) の絵文字番号
-	static $numeric_emoji_index = array('134', '125', '126', '127', '128', '129', '130', '131', '132', '133');
+    // 数字絵文字 (0～9) の絵文字番号
+    static $numeric_emoji_index = array('134', '125', '126', '127', '128', '129', '130', '131', '132', '133');
 
-	if ((SC_Display_Ex::detectDevice() == DEVICE_TYPE_MOBILE)
+    if ((SC_Display_Ex::detectDevice() == DEVICE_TYPE_MOBILE)
         && isset($numeric_emoji_index[$value])
     ) {
-		return '[emoji:' . $numeric_emoji_index[$value] . ']';
-	} else {
-		return '[' . $value . ']';
-	}
+    return '[emoji:' . $numeric_emoji_index[$value] . ']';
+    } else {
+    return '[' . $value . ']';
+    }
 }
-?>
Index: /branches/version-2_12-dev/data/smarty_extends/function.html_radios_ex.php
===================================================================
--- /branches/version-2_12-dev/data/smarty_extends/function.html_radios_ex.php	(revision 20540)
+++ /branches/version-2_12-dev/data/smarty_extends/function.html_radios_ex.php	(revision 21420)
@@ -55,7 +55,7 @@
     foreach($params as $_key => $_val) {
         switch($_key) {
-			case 'tags':
-				$$_key = split("\|", $_val);
-				break;
+    case 'tags':
+    $$_key = split("\|", $_val);
+    break;
             case 'name':
             case 'separator':
@@ -92,5 +92,5 @@
             case 'assign':
                 break;
-			
+
             default:
                 if(!is_array($_val)) {
@@ -136,20 +136,20 @@
         . smarty_function_escape_special_chars($name) . '" value="'
         . smarty_function_escape_special_chars($value) . '"';
-  	
+
    if ($labels && $label_ids) {
-	   $_id = smarty_function_escape_special_chars(preg_replace('![^\w\-\.]!', '_', $name . '_' . $value));
-	   $_output .= ' id="' . $_id . '"';
+       $_id = smarty_function_escape_special_chars(preg_replace('![^\w\-\.]!', '_', $name . '_' . $value));
+       $_output .= ' id="' . $_id . '"';
    }
     if ((string)$value == $selected) {
         $_output .= ' checked="checked"';
     }
-	
-	$_output .= $extra . ' />';
 
-	$_output .= $tags[0];
-		
-	if ($labels) {
+    $_output .= $extra . ' />';
+
+    $_output .= $tags[0];
+
+    if ($labels) {
       if($label_ids) {
-		  $_id = smarty_function_escape_special_chars(preg_replace('![^\w\-\.]!', '_', $name . '_' . $value));
+      $_id = smarty_function_escape_special_chars(preg_replace('![^\w\-\.]!', '_', $name . '_' . $value));
           $_output .= '<label for="' . $_id . '">';
       } else {
@@ -157,15 +157,13 @@
       }
     }
-	
-	// 値を挿入
-	$_output .= $output;
-	
-	$_output .= $tags[1];
-	
-	if ($labels) $_output .= '</label>';
+
+    // 値を挿入
+    $_output .= $output;
+
+    $_output .= $tags[1];
+
+    if ($labels) $_output .= '</label>';
     $_output .=  $separator;
 
     return $_output;
 }
-
-?>
Index: /branches/version-2_12-dev/data/smarty_extends/block.marquee.php
===================================================================
--- /branches/version-2_12-dev/data/smarty_extends/block.marquee.php	(revision 21010)
+++ /branches/version-2_12-dev/data/smarty_extends/block.marquee.php	(revision 21420)
@@ -9,18 +9,17 @@
  */
 function smarty_block_marquee($params, $content, &$smarty, &$repeat) {
-	// {/marquee}の場合のみ出力する。
-	if ($repeat || !isset($content)) {
-		return null;
-	}
+    // {/marquee}の場合のみ出力する。
+    if ($repeat || !isset($content)) {
+    return null;
+    }
 
-	// 末尾の改行などを取り除く。
-	$content = rtrim($content);
+    // 末尾の改行などを取り除く。
+    $content = rtrim($content);
 
-	// marqueeタグを使用しない場合
-	if (SC_Display_Ex::detectDevice() == DEVICE_TYPE_MOBILE && SC_MobileUserAgent::getCarrier() == 'docomo') {
-		return "<div>\n$content\n</div>\n";
-	}
+    // marqueeタグを使用しない場合
+    if (SC_Display_Ex::detectDevice() == DEVICE_TYPE_MOBILE && SC_MobileUserAgent::getCarrier() == 'docomo') {
+    return "<div>\n$content\n</div>\n";
+    }
 
-	return "<marquee>\n$content\n</marquee>\n";
+    return "<marquee>\n$content\n</marquee>\n";
 }
-?>
Index: /branches/version-2_12-dev/data/smarty_extends/function.from_to.php
===================================================================
--- /branches/version-2_12-dev/data/smarty_extends/function.from_to.php	(revision 20540)
+++ /branches/version-2_12-dev/data/smarty_extends/function.from_to.php	(revision 21420)
@@ -66,4 +66,2 @@
     }
 }
-
-?>
